# -*- coding: utf_8 -*-

from direct.showbase.ShowBase import ShowBase
from modules.location import gameLocation
from modules.player import gamePlayer
from modules.bot import gameBot
from pandac.PandaModules import *
from direct.gui.DirectGui import *
import sys

###
###
loadPrcFileData('', 'load-display pandagl')
loadPrcFileData('', 'show-frame-rate-meter 1')
loadPrcFileData('', 'window-title Tanchiki 2.0.4 : Terrain Battle')
loadPrcFileData('', 'fullscreen 0')
loadPrcFileData('', 'sync-video 0')
loadPrcFileData('', 'text-encoding utf8')
loadPrcFileData('', 'win-size 1440 900')
#loadPrcFileData('', 'win-size 1024 600')


loadPrcFileData('', 'framebuffer-multisample 1')
loadPrcFileData('', 'multisamples 2')

class MyApp(ShowBase):
	def __init__(self):
		ShowBase.__init__(self)

		self.win.setClearColor((0, 1, 1, 1)) # голубое небо
		
		base.accept("escape", sys.exit)
		base.cTrav = CollisionTraverser()
		
		
		environ=gameLocation()
		environ.initTerrain()
		environ.loadTerrain('res/textures/heightfield.png')
		environ.setTexture('res/textures/grass2.png',1,1)
		environ.setLights(Vec4(0.6,0.6,0.6,1), Vec4(1,1,1,1))
		
		loc = environ.getRootEnviron()

		
		player = gamePlayer("res/actors/tankNO", (30,30,0,0,0,0),"Т-34\nСупер танк PLAYER",2,5)
		
		#"""
		self.bots=[]

		# наши
		for k in range(0,7):
			for h in range(0,7):
				self.bots.append(gameBot("res/actors/tank", (k*1.5+30,h*1.5+30,0,0,0,0),"Т-34\nСупер танк Бот",2, 1.1, True))
                # не наши :)				
		for k in range(0, 3):
			for h in range(0, 3):
				self.bots.append(gameBot("res/actors/tank", (k*1.5+35,h*1.5+25,0,0,0,0),"Т-34\nВраг Бот",2, 1, False))

		
		#base.cTrav.showCollisions(render)
		
		

app = MyApp()
#render.explore()
run()
